<template>
	<ul>
		<li v-for="item in datas.list" :key="item.id">
			<view class="">
				<span>{{item.payType}}</span>
				<span>{{item.paidAmount}}</span>
			</view>
			<view class="">
				<span>{{item.remark}}</span>
				<span>{{ dayjs(scope.row.createTime).format('YYYY-MM-DD HH:mm:ss') }}</span>
			</view>
		</li>
	</ul>
</template>

<script setup>
	import {
		onMounted,
		reactive
	} from 'vue';
	import dayjs from 'dayjs';
	import {
		tbShopPurveyorTransacttransactPayInfos
	} from '@/http/yskApi/requestAll.js';
	const props = defineProps({
		id: {
			type: Number
		}
	})
	let datas = reactive({
		list: []
	})
	onMounted(() => {
		getlist()
	})
	let getlist = () => {
		tbShopPurveyorTransacttransactPayInfos({
			type: "",
			id: props.id
		}).then(res => {
			datas.list = res
		})
	}
</script>

<style scoped lang="less">
	page {
		background-color: #f9f9f9;
		padding: 0 28rpx;
	}

	ul,
	li {
		list-style: none;
		padding: 0;
	}

	ul {
		margin-top: 32rpx;
		background-color: #fff;
	}

	li {
		height: 138rpx;
		background-color: #fff;
		padding: 24rpx 32rpx;
		box-sizing: border-box;

		>view {
			display: flex;
			justify-content: space-between;
			align-items: center;
		}

		>view:last-child {
			margin: 12rpx 0;
			padding-bottom: 12rpx;
			border-bottom: 2rpx solid #E5E5E5;
		}
	}
</style>